Subject: update changes for 8.5a3 release

From: dgp <[email-masked]>
Date: Fri, 3 Jun 2005 20:08:33 +0000

---
 ChangeLog |   2 +-
 changes   | 114 +++++++++++++++++++++++++++++++++++++++++++++++++++++++++++---
 2 files changed, 110 insertions(+), 6 deletions(-)

diff --git a/ChangeLog b/ChangeLog
index d5c7dbc..00dd445 100644
--- a/ChangeLog
+++ b/ChangeLog
@@ -692,7 +692,7 @@
 2004-12-19  Chengye Mao  <[email-masked]>
 
 	* win/tkWin.h, win/tkWinEmbed.h: Make embedding work better on Windows.
-	* win/tkWinWm.c, win/tkWinX.c:   [Bugs 222667, 831627, 842945, 1024364]
+	* win/tkWinWm.c, win/tkWinX.c:   [Bugs 222677, 831627, 842945, 1024364]
 
 2004-12-17  Chengye Mao  <[email-masked]>
 
diff --git a/changes b/changes
index c5248ec..9e1c8ae 100644
--- a/changes
+++ b/changes
@@ -2,7 +2,7 @@ This file summarizes all changes made to Tk since version 1.0 was
 released on March 13, 1991.  Changes that aren't backward compatible
 are marked specially.
 
-RCS: @(#) $Id: changes,v 1.86 2005/01/19 02:25:17 chengyemao Exp $
+RCS: @(#) $Id: changes,v 1.87 2005/06/03 20:08:45 dgp Exp $
 
 3/16/91 (bug fix) Modified tkWindow.c to remove Tk's Tcl commands from
 the interpreter when the main window is deleted (otherwise there will
@@ -5887,6 +5887,8 @@ Updated test suite, documentation, and demos.
 
 --- Released 8.5a2, December 7, 2004 --- See ChangeLog for details ---
 
+2004-12-09 (performance)[1081966] BMP, JPG image load speed (fellows)
+
 2004-12-17 (feature change) Modified DisplayFrame to draw a container's 
 background when the embedded window is NULL (chengyemao)
 
@@ -5923,6 +5925,8 @@ fine with Windows 98. But having a problem when invoked with a mouse click
 may show as a blank window at the pull-down time and require the mouse 
 moves over the menu items to complete display. (chengyemao)
 
+2004-12-29 (platform support)[1092952,1091967] MSVC7, gcc OPT compiles (hobbs)
+
 2005-01-03 (feature implementation of embedded/embedding Tk of Windows) Added
 a separated window handler for an embedded menu; solved the problem of 
 a blank menu display with a mouse click in XP. (chengyemao)
@@ -5939,10 +5943,6 @@ TkWinEmbeddedEventProc in tkWinEmbed.c; TkWinChildProc in tkWinX.c.
 2005-01-08 (bug fix)[1098625] Wrong toplevel geometry when created with a menu;
 [637653] Deleting a popup menu crashes wish (chengyemao)
 
-2005-01-09 (bug fix)[1098779] TkParsePadAmount (tkPack.c) did not properly 
-handle list. The bug was due to fail to handle leading spaces. Skipping the 
-leading spaces fixes the bug (chengyemao).
-
 2005-01-09 (feature implementation of embedded/embedding Tk of Windows) Changed 
 FrameWidgetObjCmd (tkFrame.c), TkpUseWindow (tkMacOSXEmbed.c, tkUnixEmbed.c, 
 tkWinEmbed.c) to make implementation ready for a configurable toplevel -use
@@ -5950,6 +5950,12 @@ option and completed the implementation for Windows (tkWinWm.c, tkWinEmbed.c,
 tkWinInt.h). Embedding with a frame container needs further debugging
 (chengyemao).
 
+2005-01-10 (enhancement)[1081595] stopped use of TK_DBGX (english)
+
+2005-01-11 (bug fix)[1098779] -pady accept all lists (fellows,kirkham)
+
+2005-01-11 (bug fix)[1093631] [text] scroll long wrapped line (darley)
+
 2005-01-18 (feature implementation of embedded/embedding Tk of Windows) Simplified
 TkpUseWindow, added Tk_DetachEmbeddedWindow and got rid of code for saving an 
 embedded window object which is never used. Fixed a bug in TkWinHandleMenuEvent 
@@ -5957,3 +5963,101 @@ for processing WM_MENUSELECT. Wish crashed due to an invalid index in a case
 of MF_POPUP. The -use option of a toplevel can be configured after the toplevel
 is created.
 
+2005-01-18 (bug fix) dialog visibility in demos (nash,fellows)
+
+2005-01-28 (platform support)[1021871] Solaris gcc 64-bit support (hobbs)
+
+2005-01-31 (enhancement)[1111213] msg catalog for Spain's Spanish. (poser)
+
+2005-02-03 (bug fix)[1114977] UID thread-safety in canvas (fellows)
+
+2005-02-11 (bug fix)[949792] Fix error during panedwindow destroy (hobbs)
+
+2005-02-11 (bug fix)[1105738] Fix [tk_messageBox -parent $nonToplevel]
+segfault (hobbs)
+
+2005-02-11 (bug fix)[1119460] Disabled canvas bmap/bbox segfault (hobbs)
+
+2005-02-11 (platform support) Correct gcc builds for AIX-4+, HP-UX-11 (hobbs)
+
+2005-02-14 (bug fix)[443848] [text] elide newline, but not line (darley)
+
+2005-02-16 (new feature)[TIP 223] Windows: [wm attributes -fullscreen] (dejong)
+
+2005-02-22 (bug fix)[1146057] Aqua: [tk_getOpenFile] encoding (steffen)
+
+2005-02-28 (bug fix)[1118340] Fix Mousewheel %A translation (davis,hobbs)
+
+2005-03-09 (bug fix) Mac OS X: remote debugging under Xcode (ingham)
+
+2005-03-10 (bug fix)[1160025] Aqua: offset in mouse coords (davies,ingham)
+
+2005-03-10 (bug fix)[1124237] Aqua: floating window focus (davies,ingham)
+
+2005-03-14 (bug fix)[1162356] ClientMessageHandlers work now (petasis,fellows)
+
+2005-03-14 (bug fix)[1124237] Aqua: (un)map of subwindows (ingham)
+
+2005-03-14 (bug fix)[700305] Aqua: child window updates before creation (ingham)
+
+2005-03-15 (platform support) OpenBSD ports patch (thoyts)
+
+2005-03-15 (bug fix)[1143776] [text] display panic (revar,darley)
+
+2005-03-19 (bug fix)[1016385] allow [rename console] (fellows)
+
+2005-03-23 (enhancment) Aqua: native L&F for entry and spinbox (ingham)
+
+2005-03-23 (new feature) Aqua: [wm attributes -notify] (ingham)
+
+2005-03-29 (platform support) Allow msys builds without cygwin (hobbs)
+
+2005-04-03 (bug fix)[1175092] grid geometry calculations (spjuth)
+
+2005-04-04 (bug fix)[1174269] [text] elide search (darley)
+
+2005-04-04 (bug fix)[1169429] [text] invisible cursor (darley)
+
+2005-04-04 (bug fix)[1083878] \0 char in [tk_getOpenFile -filetypes] (darley)
+
+2005-04-07 (bug fix)[1152809] [wm stackorder] panic; multi-DISPLAY (dejong)
+
+2005-04-14 (bug fix)[1122671] font encoding alignment issue (brubaker,hobbs)
+
+2005-04-18 (bug fix) [text] <Home> and <End> bindings (darley)
+
+2005-04-18 (bug fix)[1185640] [text] passed bogus utf-8 to Tk_MeasureChars
+(petasis,english)
+
+2005-04-25 (platform support) Fix builds on Mac OS X 10.1 (steffen)
+
+2005-05-06 (platform support) Added x86_64 Solaris cc and Solaris 10 build
+support (hobbs)
+
+2005-05-10 (bug fix)[1191895] [text] hang on <Control-Key-Up> (vlasov,darley)
+
+2005-05-14 (enhancement)[1202052] Aqua: CFRunLoop notifier allows
+[load]able Tk (steffen)
+
+2005-05-15 (bug fix)[1012852] Aqua: check/radiobutton accelerator (kirkham)
+
+2005-05-15 (bug fix)[1202181] Aqua: scrollbar thumb position (kirkham)
+
+2005-05-15 (bug fix)[1202223] Aqua: [text] window -> scroll lock (kirkham)
+
+2005-05-22 (bug fix)[1206133] TkGetFileFilters: add all (dionizio,fellows)
+
+2005-05-24 (platform support) Darwin/Aqua builds merged into unix (steffen)
+
+2005-05-27 (behavior change) tk_popup menus now "sticky" (helfter)
+
+2005-05-28 (new feature)[TIP 245] [tk inactive] (max,fellows)
+
+2005-05-30 (bug fix)[1161543,1010941,795869,690169] panedwindow
+display/resizing (south)
+
+2005-05-30 (bug fix)[1159367] [menu] creation segfault (schofield,hobbs)
+
+Documentation improvements [1087842,1081527,1115907,etc.]
+
+--- Released 8.5a3, June 4, 2005 --- See ChangeLog for details ---
-- 
cgit v0.12